Subject: bash: cannot use job control in an unprivileged LXC container

From: Ryutaroh Matsumoto <[email-masked]>
Date: Fri, 08 May 2020 17:08:10 +0900 (JST)

Package: bash
Version: 5.0-4
Severity: minor

Dear Maintainer,

I made an LXC unprivileged container of Devuan on Debian Bullseye by
mmdebstrap --mode=unshare --components="main contrib non-free" --variant=standard beowulf /home/ryutaroh/.local/share/lxc/devuan/rootfs http://deb.devuan.org/merged

"Unprivileged" means that it is started by a non-root user (on host Linux).

The Devuan container works almost fine, but I experienced a minor problem.
When I login from /dev/console by "lxc-start -F -n devuan",
I got the error message from /bin/bash as

-bash: cannot set terminal process group (709): Inappropriate ioctl for device
-bash: no job control in this shell

I do not see the above problem when Devuan is started in
a privileged LXC container.

I do not see the above problem in recent releases of Debian or Ubuntu running
in LXC containers, neither, so it seems Devuan-specific.

I guess that the above problem may occur in a Devuan container on Devuan host,
so it should be reproducible only in Devuan (without use of Debian or Ubuntu).

Best regards, Ryutaroh Matsumoto

-- System Information:
Architecture: x86_64

Kernel: Linux 5.6.0-1-amd64 (SMP w/4 CPU cores)
Locale: LANG=C, LC_CTYPE=C.UTF-8 (charmap=UTF-8), LANGUAGE=C (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: sysvinit (via /sbin/init)

Versions of packages bash depends on:
ii  base-files   10.3+devuan3.4
ii  debianutils  4.8.6.1
ii  libc6        2.28-10
ii  libtinfo6    6.1+20181013-2+deb10u2

Versions of packages bash recommends:
ii  bash-completion  1:2.8-6

Versions of packages bash suggests:
pn  bash-doc  <none>

-- no debconf information